#ifndef __EQ_H
#define __EQ_H

#ifdef __cplusplus
extern "C" {
#endif

#include <wiisprite.h>

#include "widget.h"
#include "color.h"

class EQ : public Widget
{
	public:
		EQ();
		virtual ~EQ();
		
		virtual void resize(int width, int height);
		virtual void draw();
	private:
		void reskin();
		
		int fftResults[16];
		int peakResults[16];
		
		Theme windowManager;
		Settings settingsManager;
		
		Sprite *fftSprite[16];
		Sprite *peakSprite[16];
		DrawableImage *fftImage;
		DrawableImage *peakImage;
		
		int itemWidth;
		
		Sound sound;
};

#ifdef __cplusplus
}
#endif

#endif
